package xyz.veronie.bgg.result;

import xyz.veronie.bgg.result.internal.OutputResultHelper;

public class ThingUserData {
	private Integer numplays;
	private String comment;
	
	private Float rating;
	private Boolean own;
	private Boolean prevowned;
	private Boolean fortrade;
	private Boolean want;
	private Boolean wanttoplay;
	private Boolean wanttobuy;
	private Boolean wishlist;
	private Integer wishlistpriority;
	private Boolean preordered;
	private String lastmodified;
	
	//private Float weight;	
	
	public Integer getNumPlays() {
		return numplays;
	}

	public void setNumPlays(Integer numPlays) {
		this.numplays = numPlays;
	}
	

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public Float getRating() {
		return rating;
	}

	public void setRating(Float rating) {
		this.rating = rating;
	}

	public Boolean getOwn() {
		return own;
	}

	public void setOwn(Boolean own) {
		this.own = own;
	}

	public Boolean getPrevowned() {
		return prevowned;
	}

	public void setPrevowned(Boolean prevowned) {
		this.prevowned = prevowned;
	}

	public Boolean getFortrade() {
		return fortrade;
	}

	public void setFortrade(Boolean fortrade) {
		this.fortrade = fortrade;
	}

	public Boolean getWant() {
		return want;
	}

	public void setWant(Boolean want) {
		this.want = want;
	}

	public Boolean getWanttoplay() {
		return wanttoplay;
	}

	public void setWanttoplay(Boolean wanttoplay) {
		this.wanttoplay = wanttoplay;
	}

	public Boolean getWanttobuy() {
		return wanttobuy;
	}

	public void setWanttobuy(Boolean wanttobuy) {
		this.wanttobuy = wanttobuy;
	}

	public Boolean getWishlist() {
		return wishlist;
	}

	public void setWishlist(Boolean wishlist) {
		this.wishlist = wishlist;
	}

	public Integer getWishlistpriority() {
		return wishlistpriority;
	}

	public void setWishlistpriority(Integer wishlistpriority) {
		this.wishlistpriority = wishlistpriority;
	}

	public Boolean getPreordered() {
		return preordered;
	}

	public void setPreordered(Boolean preordered) {
		this.preordered = preordered;
	}

	public String getLastmodified() {
		return lastmodified;
	}

	public void setLastmodified(String lastmodified) {
		this.lastmodified = lastmodified;
	}

	public void appendToResult(StringBuilder str) {
		OutputResultHelper.appendToResult(str, getRating());
		OutputResultHelper.appendToResult(str, getComment());
		OutputResultHelper.appendToResult(str, getNumPlays());
    	// TODO: find out how to get userweight... 
    }
	
	public String toString() {
		StringBuilder str = new StringBuilder();
		appendToResult(str);
    	return str.toString();
    }

	public static String emptyReplacerLine() {
		return "N/A,\"\",0,";
	}
	
	public static String resultHeader() {
		return "userrating,comment,numplays,";
	}

//	public Float getWeight() {
//		return weight;
//	}
//
//	public void setWeight(Float weight) {
//		this.weight = weight;
//	}

}
