package xyz.veronie.bgg.types;

public enum FilterFlagState {
	IS("is"), 
	ISNOT("is not"), 
	IGNORE("ignore");
	
	private String name;
	
	private FilterFlagState(String name) {
		this.name = name;
	}
	
	@Override
	public String toString() {
		return name;
	}

	public static FilterFlagState getEnum(String s) {
		if(IS.name().equals(s)){
            return IS;
        } else if(ISNOT.name().equals(s)){
            return ISNOT;
        } else if(IGNORE.name().equals(s)){
            return IGNORE;
        }
		throw new IllegalArgumentException("No Enum specified for String '" + s + "'.");
	}
}
