package xyz.veronie.bgg.types;

public enum UserFlag {
	
	OWN("owned", "own"), 
	PREVIOUSLY_OWNED("previously owned", "prevowned"), 
	TRADE("for trade", "trade"), 
	WANT("wanted", "want"), 
	WTP("want to play", "wanttoplay"), 
	WTB("want to buy", "wanttobuy"), 
	WISHLIST("on wishlist", "wishlist"), 
	PREORDERED("pre-ordered", "preordered"),
	
	RATED("rated", "rated"),
	PLAYED("played", "played"),
	COMMENT("commented", "comment");
	
//	MINRATING("min rating", "minrating"),
//	MAXRATING("max rating", "rating"),
//	MIN_BGG_RATING("min BGG rating", "minbggrating"),
//	MAX_BGG_RATING("max BGG rating", "bggrating"),
//	MIN_PLAYS("min plays", "minplays"),
//  MAX_PLAYS("max plays, "maxplays"),
//	MODIFIED_SINCE("modified since", "modifiedsince");
	
	
	private String flag;
	private String apiString;
	
	private UserFlag(String flag, String apiString) {
		this.flag = flag;
		this.apiString = apiString;
	}
	
	@Override
	public String toString() {
		return this.flag;
	}
	
	public String toApiString() {
		return this.apiString;
	}
}
